Index: uspace/lib/c/generic/adt/measured_strings.c
===================================================================
--- uspace/lib/c/generic/adt/measured_strings.c	(revision 8c780dc82c5edd14fadbf7f2a76dfc6ee80298ff)
+++ uspace/lib/c/generic/adt/measured_strings.c	(revision d2b1040aa6dafb6cde9c2fc4584b132d51c3198d)
@@ -52,7 +52,7 @@
  * @param[in] string	The initial character string to be stored.
  * @param[in] length	The length of the given string without the terminating
- *			zero ('/0') character. If the length is zero (0), the
- *			actual length is computed. The given length is used and
- *			appended with the terminating zero ('\\0') character
+ *			zero ('\0') character. If the length is zero, the actual
+ *			length is computed. The given length is used and
+ *			appended with the terminating zero ('\0') character
  *			otherwise.
  * @returns		The new bundled character string with measured length.
@@ -60,5 +60,5 @@
  */
 measured_string_ref
-measured_string_create_bulk(const char * string, size_t length)
+measured_string_create_bulk(const char *string, size_t length)
 {
 	measured_string_ref new;
@@ -66,5 +66,5 @@
 	if (length == 0) {
 		while (string[length])
-			++length;
+			length++;
 	}
 	new = (measured_string_ref) malloc(sizeof(measured_string_t) +
@@ -104,7 +104,6 @@
 			new->value[new->length] = '\0';
 			return new;
-		} else {
-			free(new);
 		}
+		free(new);
 	}
 
@@ -156,6 +155,6 @@
 		return EINVAL;
 	}
-	if(ERROR_OCCURRED(async_data_write_finalize(callid, lengths,
-	    sizeof(size_t) * (count + 1)))) {
+	if (ERROR_OCCURRED(async_data_write_finalize(callid, lengths,
+	    length))) {
 		free(lengths);
 		return ERROR_CODE;
@@ -163,5 +162,5 @@
 
 	*data = malloc(lengths[count]);
-	if (!(*data)) {
+	if (!*data) {
 		free(lengths);
 		return ENOMEM;
@@ -171,5 +170,5 @@
 	*strings = (measured_string_ref) malloc(sizeof(measured_string_t) *
 	    count);
-	if (!(*strings)) {
+	if (!*strings) {
 		free(lengths);
 		free(*data);
@@ -178,8 +177,8 @@
 
 	next = *data;
-	for (index = 0; index < count; ++index) {
+	for (index = 0; index < count; index++) {
 		(*strings)[index].length = lengths[index];
 		if (lengths[index] > 0) {
-			if ((!async_data_write_receive(&callid, &length)) ||
+			if (!async_data_write_receive(&callid, &length) ||
 			    (length != lengths[index])) {
 				free(*data);
@@ -192,6 +191,5 @@
 			(*strings)[index].value = next;
 			next += lengths[index];
-			*next = '\0';
-			++next;
+			*next++ = '\0';
 		} else {
 			(*strings)[index].value = NULL;
@@ -221,5 +219,5 @@
 
 	length = 0;
-	for (index = 0; index < count; ++ index) {
+	for (index = 0; index < count; index++) {
 		lengths[index] = strings[index].length;
 		length += lengths[index] + 1;
@@ -262,11 +260,10 @@
 		return ENOMEM;
 
-	if ((!async_data_read_receive(&callid, &length)) ||
+	if (!async_data_read_receive(&callid, &length) ||
 	    (length != sizeof(size_t) * (count + 1))) {
 		free(lengths);
 		return EINVAL;
 	}
-	if (ERROR_OCCURRED(async_data_read_finalize(callid, lengths,
-	    sizeof(size_t) * (count + 1)))) {
+	if (ERROR_OCCURRED(async_data_read_finalize(callid, lengths, length))) {
 		free(lengths);
 		return ERROR_CODE;
@@ -274,7 +271,7 @@
 	free(lengths);
 
-	for (index = 0; index < count; ++ index) {
+	for (index = 0; index < count; index++) {
 		if (strings[index].length > 0) {
-			if((!async_data_read_receive(&callid, &length))	||
+			if (!async_data_read_receive(&callid, &length) ||
 			    (length != strings[index].length)) {
 				return EINVAL;
@@ -317,5 +314,5 @@
 	char *next;
 
-	if ((phone <= 0) || (!strings) || (!data) || (count <= 0))
+	if ((phone < 0) || (!strings) || (!data) || (count <= 0))
 		return EINVAL;
 
@@ -331,5 +328,5 @@
 
 	*data = malloc(lengths[count]);
-	if (!(*data)) {
+	if (!*data) {
 		free(lengths);
 		return ENOMEM;
@@ -338,5 +335,5 @@
 	*strings = (measured_string_ref) malloc(sizeof(measured_string_t) *
 	    count);
-	if (!(*strings)) {
+	if (!*strings) {
 		free(lengths);
 		free(*data);
@@ -345,5 +342,5 @@
 
 	next = *data;
-	for (index = 0; index < count; ++ index) {
+	for (index = 0; index < count; index++) {
 		(*strings)[index].length = lengths[index];
 		if (lengths[index] > 0) {
@@ -352,6 +349,5 @@
 			(*strings)[index].value = next;
 			next += lengths[index];
-			*next = '\0';
-			++ next;
+			*next++ = '\0';
 		} else {
 			(*strings)[index].value = NULL;
@@ -386,5 +382,5 @@
 	size_t index;
 
-	if ((phone <= 0) || (!strings) || (count <= 0))
+	if ((phone < 0) || (!strings) || (count <= 0))
 		return EINVAL;
 
@@ -401,5 +397,5 @@
 	free(lengths);
 
-	for (index = 0; index < count; ++index) {
+	for (index = 0; index < count; index++) {
 		if (strings[index].length > 0) {
 			ERROR_PROPAGATE(async_data_write_start(phone,
Index: uspace/lib/c/include/adt/measured_strings.h
===================================================================
--- uspace/lib/c/include/adt/measured_strings.h	(revision 8c780dc82c5edd14fadbf7f2a76dfc6ee80298ff)
+++ uspace/lib/c/include/adt/measured_strings.h	(revision d2b1040aa6dafb6cde9c2fc4584b132d51c3198d)
@@ -43,10 +43,10 @@
 
 /** Type definition of the character string with measured length.
- *  @see measured_string
+ * @see measured_string
  */
 typedef struct measured_string measured_string_t;
 
 /** Type definition of the character string with measured length pointer.
- *  @see measured_string
+ * @see measured_string
  */
 typedef measured_string_t *measured_string_ref;
@@ -59,5 +59,5 @@
 struct measured_string {
 	/** Character string data. */
-	char * value;
+	char *value;
 	/** Character string length. */
 	size_t length;
